/********************************************
 *  WOOCOMMERCE – FIONDATO
 ********************************************/

#payment .wc_payment_methods {
	display: none !important;
}

.woocommerce-breadcrumb {
	margin-bottom: 0 !important;
	margin-top: -20px !important;
	font-weight: 500;
}

.wc-carosello {
	padding: 0px 0 50px 0;
	}

.wc-carosello h2{
	background: var(--beige);
    padding: 14px 28px;
	border: 1px solid var(--grigio);
    font-family: var(--font-titoli);
    color: var(--verde-logo);
	font-size: 24px !important;
    text-align: center;
}

.wc-carosello svg{
	color: var(--verde-logo);
}

.wc-carosello button {
	margin-bottom: 10px;
}

.wc-griglia {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.wc-contenitore-griglia-categorie {
    padding: 20px 0 20px 0;
	text-align: center;
}

.wc-griglia-categorie {
    padding: 20px 0 20px 0;
	text-align: center;
	display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2rem;
}

.wc-scheda {
    display: block;
    grid-auto-flow: column;
    width: 412px;
    gap: 2rem;
    justify-content: center;
	border-radius: 10px;
	background: white;
	box-shadow: 0 4px 14px rgba(0,0,0,0.10);
}

.wc-scheda-piccola {
    display: block;
    grid-auto-flow: column;
    width: 206px;
    gap: 2rem;
    justify-content: center;
	border-radius: 10px;
	background: white;
	box-shadow: 0 4px 14px rgba(0,0,0,0.10);
}

.wc-scheda figure,
.wc-scheda-piccola figure {
    width: 100%;
    aspect-ratio: 1/1;
    overflow: hidden;
    border-radius: 10px 10px 0 0;
	margin: 0;
}

.wc-scheda img,
.wc-scheda-piccola img {
    width: 100%;
    aspect-ratio: 1/1;
    overflow: hidden;
    border-radius: 10px 10px 0 0;
	margin: 0;
}

.wc-scheda:hover,
.wc-scheda-piccola:hover {
    transform: translateY(-3px);
    box-shadow: 0 6px 20px rgba(0,0,0,0.12);
    transition: all 0.25s ease;
}

.wc-scheda h3 {
	text-transform: uppercase; 
	letter-spacing: 0.5px;
	margin: 10px 0 10px 0 !important;
}

.wc-scheda-piccola h3 {
	text-transform: uppercase; 
	letter-spacing: 0.5px;
	margin: 10px 0 10px 0 !important;
	line-height: 1.4;
	height: 2.8rem; /* Occupa sempre lo spazio di 2 righe */
}

/* TRONCAMENTO TITOLO PRODOTTO TROPPO LUNGO */

.wc-scheda-piccola a {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2; /* Tronca a 2 righe */
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
    
}

/* */ 

.pulsante-aggiungi-carrello button {
	background: var(--verde-logo);
	box-shadow: 0 4px 14px rgba(0,0,0,0.10);
	margin: 5px 0 10px 0 !important;
	padding: 8px 10px 8px 10px !important;
}

/* Pulsante Scegli, è visibile al posto di Aggiungi al Carrello se il prodotto ha delle varianti */

/* Stile identico al pulsante Aggiungi al carrello */
.pulsante-aggiungi-carrello a.product_type_variable {
    background: var(--verde-logo);
    box-shadow: 0 4px 14px rgba(0,0,0,0.10);
    margin: 5px 0 10px 0 !important;
    padding: 8px 10px 8px 10px !important;
    display: inline-block; /* garantisce la stessa resa del button */
}

/* Nasconde il testo originale */
.pulsante-aggiungi-carrello a.product_type_variable > span {
    font-size: 0 !important;
}
/* Inserisce il nuovo testo */
.pulsante-aggiungi-carrello a.product_type_variable::after {
    content: "Seleziona variante";
    font-size: 13px;
    font-weight: 400;
	font-family: var(--font-testi);
}

/* */

.paginazione {
	margin: 20px 0 0 0 !important;
}

.contenitore-filtri {
	background: white;
	box-shadow: 0 4px 14px rgba(0,0,0,0.10);
	border-radius: 10px;
	border: 1px solid var(--grigio);
	padding: 10px;
}

.contenitore-filtri h2::after {
	content: "";
	display: block;
	width: 100%;
	height: 1px;
	background: var(--oro);
	margin: 12px 0;
}

.filtri-attivi{
	margin-bottom: 5px;
}

.selettore-ordinamento-catalogo {
	width: 100%;
}

.selettore-ordinamento-catalogo select {
	width: 100%;
	background: #fff;
    border: 1px solid var(--grigio);
    padding: 0.5rem 1rem;
    border-radius: 8px;
	font-family: var(--font-titoli);
    font-size: 19.5px !important;
	font-weight: 700;
	margin-bottom: 10px;
	color: #0f411b;
}

/* PAGINA PRODOTTO SINGOLO */
.contenitore-testo-prodotto {
	background: var(--verde-chiaro);
    border-radius: 0 12px 12px 0;
    overflow: hidden;
    box-shadow: 6px 6px 18px rgba(0,0,0,0.12);
	padding: 20px;
	text-align: justify;
}

.contenitore-img-prodotto {
	background: white;
    border-radius: 12px 0 0 12px;
    overflow: hidden;
    box-shadow: -6px 6px 18px rgba(0,0,0,0.12);
	padding: 20px;
	text-align: justify;
}

/* Badge "In offerta!" */
.onsale {
    background: var(--verde-logo) !important; 
    color: #fff !important;
    border-radius: 9999px;
    padding: 8px 12px !important;
    font-size: 14px;
    font-weight: 600;
    top: 20px !important;
	left: 0px !important;
}

/* Fix scritta False sul pulsante Aggiungi al carrello */
[data-wp-text="state.addToCartText"][data-false-text] {
    font-size: 0;
}

[data-wp-text="state.addToCartText"][data-false-text]::after {
    content: "Aggiungi al carrello";
    font-size: 16px;
	font-family: var(--font-testi);
}

/* Fix colore pulsante Aggiungi al carrello prodotti con variabili */
.wp-block-woocommerce-product-button .wc-block-components-product-button__button {
    background-color: var(--verde-logo);
    color: #fff;
}

.wp-block-woocommerce-product-button .wc-block-components-product-button__button.disabled {
    background-color: var(--verde-logo);
    color: #fff;
    opacity: 0.5;
}
/* Fine fix */

/* Scritta Vai al carrello */
#open-cart-message {
	display: none;
	width: fit-content;
    margin: 5px 0 10px 0 !important;
	font-size: 16px;
    font-weight: 500;
    color: var(--verde-logo);
	cursor: pointer;
}

#open-cart-message:hover {
	color: var(--oro);
}
/* Fine scritta Vai al carrello */

.wp-block-woocommerce-product-meta {
    width: 100% !important;
}

.contenitore-descrizione::before {
	content: "";
	display: block;
	width: 100%;
	height: 1px;
	background: var(--oro);
	margin: 12px 0;
}

.contenitore-descrizione::after {
	content: "";
	display: block;
	width: 100%;
	height: 1px;
	background: var(--oro);
	margin: 12px 0;
}

/* FINE PAGINA PRODOTTO SINGOLO */

/* PAGINA CARRELLO */

.contenitore-riepilogo-prodotti {
	background: white;
    border-radius: 12px 12px 12px 12px;
    box-shadow: 6px 6px 18px rgba(0,0,0,0.12);
	padding: 20px;
	margin: 20px 0 0 55px !important;
}


/* Pulsante Procedi al pagamento */
.wc-block-cart__submit-button {
    background: var(--verde-logo);
    color: #fff;
}

/* Pulsante Applica codice promozionale */
.wc-block-components-totals-coupon__button {
   background: var(--verde-logo);
    color: #fff;
}

/* FINE PAGINA CARRELLO */

/* PAGINA PAGAMENTO */

.contenitore-raccolta-dati {
	background: white;
    border-radius: 12px 12px 12px 12px;
    box-shadow: 6px 6px 18px rgba(0,0,0,0.12);
	padding: 20px;
	margin-bottom: 55px !important;
}

button[name="apply_coupon"] {
   	background: var(--verde-logo);
    color: #fff;
}


button[name="apply_coupon"]:hover {  
	color: var(--oro);
}


/* Riquadro privacy sopra il pulsante */
.woocommerce-privacy-policy-text {
    background: var(--beige); 
  	box-shadow: 0 6px 18px rgba(0,0,0,0.12);
    padding: 15px;
    margin-top: 25px;
    margin-bottom: 25px;
    border-radius: 12px;
}

#payment.woocommerce-checkout-payment {
    background: white !important;
}

.checkout-contenitore-pulsante {
    text-align: center;
    margin-top: 30px !important;
}

.pulsante-invio-ordine {
	cursor: pointer;
    background: var(--verde-logo);
	color: white;
	padding: 10px 18px;
	border-radius: 12px;
	font-family: var(--font-titoli);
	font-size: 20px;
	font-weight: 400;
	border: 0 !important;
}

.pulsante-invio-ordine:hover {
	color: var(--oro);
}

/* FINE PAGINA PAGAMENTO */

/* CONFERMA D'ORDINE */

.contenitore-conferma-ordine {
	background: white;
    border-radius: 12px 12px 12px 12px;
    box-shadow: 6px 6px 18px rgba(0,0,0,0.12);
	padding: 20px;
	margin-bottom: 55px !important;
}

/* FINE CONFERMA D'ORDINE */
